package cokr.xit.ens.modules.common.ctgy.intgrnbill.nv.service.repair.kit;

import cokr.xit.ens.modules.common.ctgy.intgrnbill.support.code.BillSeCd;
import cokr.xit.ens.modules.common.ctgy.intgrnbill.support.service.repair.kit.RepairPayResultTransferFail;
import cokr.xit.ens.modules.common.ctgy.intgrnbill.support.service.repair.model.RepairPayRsltFwdFailSearchDTO;
import cokr.xit.ens.modules.common.ctgy.sys.mng.domain.OrgMng;
import com.querydsl.jpa.impl.JPAQueryFactory;
import lombok.Builder;


public class RepairNvPayResultTransferFail extends RepairPayResultTransferFail {
    @Builder
    public RepairNvPayResultTransferFail(JPAQueryFactory query, RepairPayRsltFwdFailSearchDTO searchDTO) {
        this.query = query;
        this.searchDTO = searchDTO;
    }

    @Override
    protected String getPayResultApiUrl(OrgMng orgMng) {
        return orgMng.getNvBpPayresultApi();
    }

    @Override
    protected BillSeCd getBillSeCd() {
        return BillSeCd.bpNv;
    }
}
